# vim: ft=zsh

function update() {
    $TERM --hold -e "$SHELL" -c "sudo pacman -Syu && echo -e '\e[32mDONE\e[0m'" &
    $TERM --hold -e "$SHELL" -c "flatpak update && echo -e '\e[32mDONE\e[0m'" &
    $TERM --hold -e "$SHELL" -c "git --git-dir='$HOME/.dotfiles/' --work-tree='$HOME' submodule update --remote --recursive --init && echo -e '\e[32mDONE\e[0m'" &
}

alias pac='sudo pacman' \
      vi='$EDITOR' \
      qcp='qcp -o tabsize=4' \
      qmv='qmv -o tabsize=4'

alias config='git --git-dir="$HOME/.dotfiles/" --work-tree="$HOME"' \
      viconf='(cd "$XDG_CONFIG_HOME/nvim" && $EDITOR .)' \
      zconf='(cd "$ZDOTDIR/" && $EDITOR .) && . "$ZDOTDIR/.zshrc"'

alias ssh='TERM=linux ssh'

alias sudo='sudo ' \
      watch='watch -c -- ' \
      xargs='xargs '

function j() {
    dests=(**/"$1"*~cvs~node_modules/)

    [ -n "${dests[2]}" ] && dests=("$(printf '%s\n' "${dests[@]}" | fzf)")
    cd "${dests[1]}"
}

function tmp() {
    cd "$(mktemp -d --tmpdir "$1"XXX)"
}

alias -g ...='../..' \
         ....='../../..' \
         .....='../../../..' \
         ......='../../../../..'

alias cp="cp -vi" \
      mv="mv -vi" \
      rm="rm -i" \
      mkdir="mkdir -v" \
      rsync="rsync -P"

alias ls='ls --color' \
      ll='ls -lh' \
      l='ll -a' \
      la='ll -A'

alias diff='diff --color'

alias grep="grep --color --exclude-dir={.bzr,.cache,.git,.hg,.idea,.svn,.tox,.venv,.vscode,CVS,node_modules}" \
      egrep="grep -E" \
      fgrep="grep -F"

alias monero='monero-wallet-cli \
    --daemon-address monero.maby.dev:18081 \
    --wallet-file /home/ange/.config/monero/ange --trusted-daemon \
    --log-file=/tmp/monero-wallet-cli.log'
